﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.Odbc;

namespace bug71431
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {

/*
Before running the test create the following procedure:
---------------------------------------------------------------------------------------------------------
create procedure test.GetActualData(clientIDValue int, equipIDValue int, dataPointNameValue varchar(255))
begin
  select concat ("DATA = ", clientIDValue, "-", equipIDValue, "-", dataPointNameValue) as actualdata;
end;
---------------------------------------------------------------------------------------------------------
*/
      OdbcConnection objConnection = null;
      OdbcDataReader dataReader = null;
      int clientID = 19;
      int equipID = 22;
      string dpNam = "[Name Value String]";

      try
      {
        objConnection = new OdbcConnection(textBox1.Text);
        objConnection.Open();

        OdbcCommand objCommand = new OdbcCommand();
        objCommand.Connection = objConnection;
        objCommand.CommandType = CommandType.StoredProcedure;
        objCommand.CommandText = "{ CALL GetActualData(?, ?, ?) }";
        objCommand.Parameters.AddWithValue("clientIDValue", clientID);
        objCommand.Parameters.AddWithValue("equipIDValue", equipID);
        objCommand.Parameters.AddWithValue("dataPointNameValue", dpNam);
        dataReader = objCommand.ExecuteReader();

        while (dataReader.Read())
        {
            MessageBox.Show("Success!\n" + dataReader[0].ToString());
        }

      }
      catch (Exception ex)
      {
        MessageBox.Show("Error!\n" + ex.Message);
      }
    }
  }
}
